<?php
//settings
$cache_ext  = '.html'; //file extension
$cache_time     = 43200;  //Cache file expires after these seconds (1 hour = 3600 sec) (8 hour = 28800 sec) (12 hour = 43200 sec) (24 hour = 86400 sec)
$cache_folder   = 'cache/'; //folder to store Cache files
$ignore_pages   = array('', '');

$dynamic_url    = 'http://'.$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . $_SERVER['QUERY_STRING']; // requested dynamic page (full url)
$cache_file     = $cache_folder.md5($dynamic_url).$cache_ext; // construct a cache file
$ignore = (in_array($dynamic_url,$ignore_pages))?true:false; //check if url is in ignore list

if (!$ignore && file_exists($cache_file) && time() - $cache_time < filemtime($cache_file)) { //check Cache exist and it's not expired.
    ob_start('ob_gzhandler'); //Turn on output buffering, "ob_gzhandler" for the compressed page with gzip.
    readfile($cache_file); //read Cache file
    echo '<!-- cached page - '.date('l jS \of F Y h:i:s A', filemtime($cache_file)).', Page : '.$dynamic_url.' -->';
    ob_end_flush(); //Flush and turn off output buffering
    exit(); //no need to proceed further, exit the flow.
}
//Turn on output buffering with gzip compression.
ob_start('ob_gzhandler');
?>
<?php include('siteconfig.php'); ?>
<!doctype html>
<html>
    <head>
		<!-- Meta -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width">
		<title><?php echo $homepage_title; ?></title>
		<meta name="description" content="<?php echo $homepage_desc; ?>" />
		<meta name="keywords" content="<?php echo $site_keywords; ?>" />
		<meta property="og:site_name" content="<?php echo $site_title; ?>"/>
		<meta property="og:type" content="website"/>
		<meta property="og:title" content="<?php echo $homepage_title; ?>"/>
		<meta property="og:description" content="<?php echo $homepage_desc; ?>"/>
		<!-- CSS and Scripts -->
		<?php include 'includes/headscripts.php'; ?>
		<script type="text/javascript" src="<?php echo $site_url;?>/js/jquery.jcarousel.min.js"></script>
		<?php include 'ads/head_code.php'; ?>
    </head>
<body>
<?php include 'includes/header.php'; ?>
<?php
function cano($s){
	$s = $output = trim(preg_replace(array("`'`", "`[^a-z0-9]+`"),  array("", "-"), strtolower($s)), "-");
	return $s;
}
?> 

<script>
jQuery(document).ready(function($){
if(jQuery().jcarousel) {
	// Featured Carousel - Horizontal 
	$(window).bind('load resize', function(){
		
		$('.fcarousel-6').deCarousel();
		$('.fcarousel-5').deCarousel();
	});
	// games carousel
	$('.jcarousel').jcarousel({
        wrap: 'circular'
    });
	$('.jcarousel').jcarouselAutoscroll({
	target: '+=3',
	interval: 3000,
    autostart: true
	});
		
	// Featured Carousel - Vertical 
	$('.carousel-clip').jcarousel({
		vertical: true,
		wrap: 'circular'
	});
	$('.carousel-prev').jcarouselControl({target: '-=4'});
	$('.carousel-next').jcarouselControl({target: '+=4'});
}
});
</script>
<div class="scrollback">
<div class="container">
<div class="scrollcontent">
<div class="carousel fcarousel fcarousel-6">
<div class="scrolltitle">
<h1><?php echo $home_carousel_title; ?></h1>
</div>
<div class="carousel-container">
<div class="jcarousel">
<ul>
<?php
$string = file_get_contents('https://rss.applemarketingtools.com/api/v2/'.$site_country.'/music/most-played/10/albums.json');
// Remove the colon ":" in the <xxx:yyy> to be <xxxyyy>
//$imfix = preg_replace('/im:/ms', "im", $string);
$json = json_decode($string);

// Output
$rssresults = '';
$count = 1;
$max = 11;

foreach ($json->feed->results as $item) {
    if ($count < $max) {
	 // id url
	$musicid = $item->url;
	$musicid = explode('/',$musicid);
	$musicid = explode('?',$musicid[6]);
	// ssl images
	$bigimage = preg_replace('~http://(.*?).mzstatic~', "https://$1-ssl.mzstatic", $item->artworkUrl100);
	
    $rssresults .= '<li><div class="homethumb"><a href="'.$site_url.'/music/'.$musicid[0].'/'.cano($item->name).'-'.cano($item->artistName).'"><img src="'.$bigimage.'" alt="" width="200px" ><span class="overlay"><p>'.$item->name.' - '.$item->artistName.'</p></span></a></div></li>';
		
    }
    $count++;
}
echo $rssresults;

?>
</ul>



</div><!-- end .jcarousel -->
<div class="carousel-prev"></div>
<div class="carousel-next"></div>
</div><!-- end .carousel-container -->
</div><!-- end .carousel -->
</div><!-- end .scrollcontent -->
</div><!-- end .container -->
</div><!-- end .scrollback -->
<div class="container" style="margin-top:20px;">
<div class="col-md-4" style="padding: 0px;">
<div class="topbox box1">
<h2><?php echo $home_box1_title; ?></h2>
<?php
$string = file_get_contents('https://itunes.apple.com/'.$site_country.'/rss/topsongs/limit=50/explicit=true/json');
// Remove the colon ":" in the <xxx:yyy> to be <xxxyyy>
$imfix = preg_replace('/im:/ms', "im", $string);
$json = json_decode($imfix);
// Output
$rssresults = '';
$count = 1;
$max = 51;

foreach ($json->feed->entry as $item) {
    if ($count < $max) {
	// id url
	$musicid = $item->id->label;
	$musicid = explode('/',$musicid);
	$musicid = explode('?',$musicid[6]);
	// ssl
	$top_image = preg_replace('~http://(.*?).mzstatic~', "https://$1-ssl.mzstatic", $item->imimage[0]->label);
	
	$rssresults .= '<div class="topboxitem"><div class="rounded-list nr'.$count.'"><a>'.$count.'</a></div><div class="topboximage"><a href="'.$site_url.'/music/'.$musicid[0].'/'.cano($item->title->label).'" >
		<img src="'.$top_image.'" alt="'.$item->title->label.'" /></a></div>
		<div class="topboxtitle"><a href="'.$site_url.'/music/'.$musicid[0].'/'.cano($item->title->label).'" ><b style="height: 18px;overflow: hidden;display: block;">'.$item->imname->label.'</b>'.$item->imartist->label.'</a>
		</div>
		</div>';
		
    }
    $count++;
}
echo $rssresults;
?>
</div>
</div>
<!--end topbox-->
<div class="col-md-4" style="padding: 0px;">
<div class="topbox box2">
<h2><?php echo $home_box2_title; ?></h2>
<?php
$string = file_get_contents('https://itunes.apple.com/'.$site_country.'/rss/topalbums/limit=50/explicit=true/json');
// Remove the colon ":" in the <xxx:yyy> to be <xxxyyy>
$imfix = preg_replace('/im:/ms', "im", $string);
$json = json_decode($imfix);
// Output
$rssresults = '';
$count = 1;
$max = 51;

foreach ($json->feed->entry as $item) {
    if ($count < $max) {
	// id url
	$musicid = $item->id->label;
	$musicid = explode('/',$musicid);
	$musicid = explode('?',$musicid[6]);
	// ssl
	$top_image = preg_replace('~http://(.*?).mzstatic~', "https://$1-ssl.mzstatic", $item->imimage[0]->label);
	
	$rssresults .= '<div class="topboxitem"><div class="rounded-list nr'.$count.'"><a>'.$count.'</a></div><div class="topboximage"><a href="'.$site_url.'/music/'.$musicid[0].'/'.cano($item->title->label).'" >
		<img src="'.$top_image.'" alt="'.$item->title->label.'" /></a></div>
		<div class="topboxtitle"><a href="'.$site_url.'/music/'.$musicid[0].'/'.cano($item->title->label).'" ><b style="height: 18px;overflow: hidden;display: block;">'.$item->imname->label.'</b>'.$item->imartist->label.'</a>
		</div>
		</div>';
		
    }
    $count++;
}
echo $rssresults;
?>
</div>
</div>
<!--end topbox-->
<div class="col-md-4" style="padding: 0px;">
<div class="topbox box3">
<h2><?php echo $home_box3_title; ?></h2>
<?php
$string = file_get_contents('https://itunes.apple.com/'.$site_country.'/rss/topmusicvideos/limit=49/explicit=true/json');
// Remove the colon ":" in the <xxx:yyy> to be <xxxyyy>
$imfix = preg_replace('/im:/ms', "im", $string);
$json = json_decode($imfix);
// Output
$rssresults = '';
$count = 1;
$max = 51;

foreach ($json->feed->entry as $item) {
    if ($count < $max) {
	// id url
	$musicid = $item->id->label;
	$musicid = explode('/',$musicid);
	$musicid = explode('?',$musicid[6]);
	// ssl
	$top_image = preg_replace('~http://(.*?).mzstatic~', "https://$1-ssl.mzstatic", $item->imimage[0]->label);
	
	$rssresults .= '<div class="topboxitem"><div class="rounded-list nr'.$count.'"><a>'.$count.'</a></div><div class="topboximage"><a href="'.$site_url.'/video/'.$musicid[0].'/'.cano($item->title->label).'" >
		<img src="'.$top_image.'" alt="'.$item->title->label.'" /></a></div>
		<div class="topboxtitle"><a href="'.$site_url.'/video/'.$musicid[0].'/'.cano($item->title->label).'" ><b style="height: 18px;overflow: hidden;display: block;">'.$item->imname->label.'</b>'.$item->imartist->label.'</a>
		</div>
		</div>';
		
    }
    $count++;
}
echo $rssresults;
?>
</div>
</div>
<!--end topbox-->


<script src="<?php echo $site_url;?>/js/imglazyload.js"></script>
<script>
			//lazy loading
			$('.page-itemlist img').imgLazyLoad({
				// jquery selector or JS object
				container: window,
				// jQuery animations: fadeIn, show, slideDown
				effect: 'fadeIn',
				// animation speed
				speed: 600,
				// animation delay
				delay: 400,
				// callback function
				callback: function(){}
			});
</script>
<script>
$(document).ready(function(){

	// hide #back-top first
	$("#back-top").hide();
	
	// fade in #back-top
	$(function () {
		$(window).scroll(function () {
			if ($(this).scrollTop() > 200) {
				$('#back-top').fadeIn();
			} else {
				$('#back-top').fadeOut();
			}
		});

		// scroll body to 0px on click
		$('#back-top a').click(function () {
			$('body,html').animate({
				scrollTop: 0
			}, 800);
			return false;
		});
	});

});
</script>
<p id="back-top"><a href="#top"><i class="material-icons">keyboard_arrow_up</i></a></p>
</div><!-- end .container -->
<?php include 'includes/footer.php'; ?>
</body>
</html>
<?php
######## Your Website Content Ends here #########

if (!is_dir($cache_folder)) { //create a new folder if we need to
    mkdir($cache_folder);
}
if(!$ignore){
    $fp = fopen($cache_file, 'w');  //open file for writing
    fwrite($fp, ob_get_contents()); //write contents of the output buffer in Cache file
    fclose($fp); //Close file pointer
}
ob_end_flush(); //Flush and turn off output buffering

?>